Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# PixelConcept Struct Template Reference
[Concepts]

`#include <gil_concept.hpp>`

List of all members.

## Detailed Description

### template<typename P>
struct boost::gil::PixelConcept< P >

Pixel concept - A color base whose elements are channels.

    concept PixelConcept<typename P> : ColorBaseConcept<P>, PixelBasedConcept<P> {
        where is_pixel<P>::type::value==true;
        // where for each K [0..size<P>::value-1]:
        //      ChannelConcept<kth_element_type<P,K> >;

        typename P::value_type;       where PixelValueConcept<value_type>;
        typename P::reference;        where PixelConcept<reference>;
        typename P::const_reference;  where PixelConcept<const_reference>;
        static const bool P::is_mutable;

        template <PixelConcept P2> where { PixelConcept<P,P2> }
            P::P(P2);
        template <PixelConcept P2> where { PixelConcept<P,P2> }
            bool operator==(const P&, const P2&);
        template <PixelConcept P2> where { PixelConcept<P,P2> }
            bool operator!=(const P&, const P2&);
    };

## Public Member Functions

void | constraints ()

The documentation for this struct was generated from the following file:

- gil_concept.hpp